declare type UseNonceSocketConfig<T> = {
    nonce: string | null;
    onChange?: (data: T) => void;
    onError?: (error: Error) => void;
};
declare type UseNonceSocket<T> = {
    data: T | null;
    error: Error | null;
};
export declare function useNonceSocket<T>(config: UseNonceSocketConfig<T>): UseNonceSocket<T>;
export {};
